/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { BollingerBandWidthIndicatorStrategy } from "./BollingerBandWidthIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
export class BollingerBandWidthIndicator extends StrategyBasedIndicator {
    get_p0() {
        return new BollingerBandWidthIndicatorStrategy();
    }
    get p0() {
        return this.get_p0();
    }
    get_qd() {
        return BollingerBandWidthIndicator.$;
    }
    get qd() {
        return this.get_qd();
    }
    get qm() {
        return typeGetValue(this.c(BollingerBandWidthIndicator.qp));
    }
    set qm(a) {
        this.h(BollingerBandWidthIndicator.qp, a);
    }
    p6() {
        return this.qm;
    }
    get ql() {
        return this.c(BollingerBandWidthIndicator.qo);
    }
    set ql(a) {
        this.h(BollingerBandWidthIndicator.qo, a);
    }
    p4() {
        return this.ql;
    }
}
BollingerBandWidthIndicator.qp = StrategyBasedIndicator.qi(20, BollingerBandWidthIndicator.$);
BollingerBandWidthIndicator.qo = StrategyBasedIndicator.qh(2, BollingerBandWidthIndicator.$);
BollingerBandWidthIndicator.$t = markType(BollingerBandWidthIndicator, 'BollingerBandWidthIndicator', StrategyBasedIndicator.$);
/*<BeginStatics Name="Infragistics.Controls.Charts.BollingerBandWidthIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.BollingerBandWidthIndicator" />*/
